export declare function useStoreSetup(): {
    storeSetupState: import("../wizards/store-setup/data/store-setup-screen-data").StoreSetupScreenDataInterface;
    setStateAndFormValue: (prop: keyof import("../wizards/store-setup/data/store-setup-screen-data").StoreSetupFormItemsInterface, value: string, touched?: boolean | undefined) => void;
    setFormValue: (prop: keyof import("../wizards/store-setup/data/store-setup-screen-data").StoreSetupFormItemsInterface, value: string) => void;
    submitForm: () => void;
    isScreenTouched: () => boolean;
    resetFormValues: () => void;
    setIsLoading: (isLoading: boolean) => void;
    getRegions: () => import("../wizards/store-setup/data/store-setup-screen-data").RegionInterface[];
    setRegion: (region: string) => void;
    getSelectedRegion: () => import("../wizards/store-setup/data/store-setup-screen-data").RegionInterface[];
    getStates: () => import("../wizards/store-setup/data/store-setup-screen-data").StateInterface[];
    getSelectedState: () => import("../wizards/store-setup/data/store-setup-screen-data").StateInterface[];
    getLocales: () => import("../wizards/store-setup/data/store-setup-screen-data").LocalesInterface;
    getLocaleByRegion: (region: string) => string;
    getCurrentLocale: () => string;
    setCurrency: (currency: string) => void;
    setProductTypes: (types: string[]) => void;
    setProductCount: (count: string) => void;
};
//# sourceMappingURL=useStoreSetup.d.ts.map