export interface PaymentsPaypalInterface {
    keys: {
        email: string;
        merchantId: string;
        clientId: string;
    };
    plan: string;
    oauthStarted: boolean;
    steps: Array<StepInterface>;
    pluginInstalled: boolean;
    pluginActive: boolean;
    error: boolean;
    isLoading: boolean;
    oauthUrls: {
        standard: string;
        advanced: string;
        onboardingNonce: string;
    };
}
declare const PaymentsPaypalScreenData: () => PaymentsPaypalInterface;
export default PaymentsPaypalScreenData;
//# sourceMappingURL=paypal-screen-data.d.ts.map