import React from 'react';
import { ShippingScreenDataInterface } from '@shipping/data/shipping-screen-data';
export interface ShippingProviderContextInterface {
    shippingState: ShippingScreenDataInterface;
    setIsLoading: (isLoading: boolean) => void;
    setShippingProviders: (providers: string[]) => void;
    setProvidersActivated: (providersActivated: boolean) => void;
    activateShippingProviderPlugins: () => void;
}
export declare const ShippingContext: React.Context<ShippingProviderContextInterface | ShippingScreenDataInterface | null>;
declare const ShippingProvider: ({ children }: {
    children: React.ReactNode;
}) => JSX.Element;
export default ShippingProvider;
//# sourceMappingURL=ShippingProvider.d.ts.map